<%@ page language="C#" autoeventwireup="true" inherits="admin_class_listfile, localhost_deploy" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>内容页面</title>
<link href="/admin/common/client.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="/common/client.js" charset="utf-8"></script>
<script type="text/javascript" src="/admin/manage.js" charset="utf-8"></script>
<style>
.pagetable td{
}
</style>
<script>
function AddNew()
{
	var s_file= prompt("请输入文件名，以及扩展名。例如： 1.html ","");
	
	if(s_file==undefined)
		return ;
	
	if (s_file.match(/[\\\/\*:\?"><\|]/i)!=null)
		alert("文件名不正确")
	else
	{
		$('fn').value=s_file;
		$('frmitem').action="file.aspx";
		$('frmitem').submit();
	}
	
}


function SelectRow(chkobj)
{
	
	chkobj.parentNode.parentNode.style.backgroundColor=chkobj.checked?"#dddddd":"#ffffff";
	
}

function LoadBody()
{
	var s_dir="<%=Para("dir")%>";
	$('dir').value=s_dir;
}

function OpenDir()
{
	location.href="/admin/function/listfile.aspx?dir="+$('dir').value;
}

</script>
</head>
<body onload="LoadBody()" class="mg3">
		
		<form name="frmitem" id="frmitem" method="post" target="_self"  action="listfile.aspx" onsubmit="return beforeRolloverSubmit(this, '未选择任何记录。');">
		<input type="hidden" name="formdo" id="formdo" value="list" />
		<input type="hidden" name="fn" id="fn" value="" />
    <div class='pagebar'><input type='button' value='增加' onclick="AddNew()" class='button'> 
    	<input type='submit' name='delete_campaigns' value='删除'  onclick='rolloverWarning = &quot;您是否确实要删除选定的记录？&quot;; return true;' class='button'> 
    	&nbsp;
    	<select name="dir" id="dir" style="width:80px;">
    		<option value="html">html</option>
    		<option value="css">css</option>
    		<option value="inc">inc</option>
    		<option value="js">js</option>
    		<option value="lang">lang</option>
    		<option value="bak">bak</option>
    	</select>
    	<input type='button' value='切换' onclick='OpenDir()' class='button'> 
    </div>
    <table class='pagetable' width='100%' cellspacing='1' cellpadding='1'>
    <tr><td>编号</td><td style="text-align:left;">&nbsp;文件名</td></tr>
    <%=ListFile()%>
    </table>
    </form>
</body>
</html>   
